Index: src/backend/utils/adt/name.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/utils/adt/name.c,v
retrieving revision 1.35
diff -c -r1.35 name.c
*** src/backend/utils/adt/name.c	2002/05/17 20:53:33	1.35
--- src/backend/utils/adt/name.c	2002/06/03 18:55:57
***************
*** 247,253 ****
  Datum
  current_schemas(PG_FUNCTION_ARGS)
  {
! 	List   *search_path = fetch_search_path(false);
  	int		nnames = length(search_path);
  	Datum  *names;
  	int		i;
--- 247,253 ----
  Datum
  current_schemas(PG_FUNCTION_ARGS)
  {
! 	List   *search_path = fetch_search_path(PG_GETARG_BOOL(0));
  	int		nnames = length(search_path);
  	Datum  *names;
  	int		i;
Index: src/include/catalog/pg_proc.h
===================================================================
RCS file: /projects/cvsroot/pgsql/src/include/catalog/pg_proc.h,v
retrieving revision 1.240
diff -c -r1.240 pg_proc.h
*** src/include/catalog/pg_proc.h	2002/05/24 18:57:56	1.240
--- src/include/catalog/pg_proc.h	2002/06/03 18:56:06
***************
*** 1763,1768 ****
--- 1763,1770 ----
  DESCR("current schema name");
  DATA(insert OID = 1403 (  current_schemas	PGNSP PGUID 12 f f f t f s 0  1003 "0" 100 0 0 100	current_schemas - _null_ ));
  DESCR("current schema search list");
+ DATA(insert OID = 1404 (  current_schemas	PGNSP PGUID 12 f f f t f s 1  1003 "16" 100 0 0 100	current_schemas - _null_ ));
+ DESCR("current schema search list optionally including implicit schemas");
  
  DATA(insert OID = 1406 (  isvertical		PGNSP PGUID 12 f f f t f i 2	16 "600 600" 100 0 0 100  point_vert - _null_ ));
  DESCR("vertically aligned?");
